Show / Hide Table of Contents

# Class ExternalProxy

An upstream proxy this proxy uses if any.

##### Inheritance

Object
ExternalProxy

###### Namespace: Titanium.Web.Proxy.Models

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public class ExternalProxy : IExternalProxy

### Constructors

| Improve this Doc View Source

#### ExternalProxy()

Initializes a new instance of the ExternalProxy class.

##### Declaration

    public ExternalProxy()

| Improve this Doc View Source

#### ExternalProxy(String, Int32)

Initializes a new instance of the ExternalProxy class.

##### Declaration

    public ExternalProxy(string hostName, int port)

##### Parameters

Type | Name | Description
--- | --- | ---
String | hostName | Name of the host.
Int32 | port | The port.

| Improve this Doc View Source

#### ExternalProxy(String, Int32, String, String)

Initializes a new instance of the ExternalProxy class.

##### Declaration

    public ExternalProxy(string hostName, int port, string userName, string password)

##### Parameters

Type | Name | Description
--- | --- | ---
String | hostName | Name of the host.
Int32 | port | The port.
String | userName | Name of the user.
String | password | The password.

### Properties

| Improve this Doc View Source

#### BypassLocalhost

Bypass this proxy for connections to localhost?

##### Declaration

    public bool BypassLocalhost { get; set; }

##### Property Value

Type | Description
--- | ---
Boolean |

| Improve this Doc View Source

#### HostName

Host name.

##### Declaration

    public string HostName { get; set; }

##### Property Value

Type | Description
--- | ---
String |

| Improve this Doc View Source

#### Password

Password.

##### Declaration

    public string Password { get; set; }

##### Property Value

Type | Description
--- | ---
String |

| Improve this Doc View Source

#### Port

Port.

##### Declaration

    public int Port { get; set; }

##### Property Value

Type | Description
--- | ---
Int32 |

| Improve this Doc View Source

#### ProxyType

##### Declaration

    public ExternalProxyType ProxyType { get; set; }

##### Property Value

Type | Description
--- | ---
ExternalProxyType |

| Improve this Doc View Source

#### UseDefaultCredentials

Use default windows credentials?

##### Declaration

    public bool UseDefaultCredentials { get; set; }

##### Property Value

Type | Description
--- | ---
Boolean |

| Improve this Doc View Source

#### UserName

Username.

##### Declaration

    public string UserName { get; set; }

##### Property Value

Type | Description
--- | ---
String |

### Methods

| Improve this Doc View Source

#### ToString()

returns data in Hostname:port format.

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
String |